Subject: Re: cygwin x11 doesn't start after windows 10 upgrade
From: Steinar Bang <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jul 2020 16:42:32 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

>>>>> "Holger, Vodafone" <[email-masked]>:

> Update: Solution:
> When changing the execution mode of C:\cygwin64\bin\XWin.exe to „Windows 7 Compatbility“ the start of XWin work.

> There is no Virus Blocking of TrendMicro but an incompatibility (no block message in TM). 

Didn't help me, unfortunately.

Here's what I did:
 1. Search up XWin.exe in the tastrt menu and open the location
 2. Windows explore opened on the start menu shortcut
 3. I right-clicked the XWin.exe shortcut and selected "Open location"
 4. This opened C:\cygwin64\bin
 5. I right-clicked C:\cygwin64\bin\XWin.exe and selected Properties...
 6. In the propertiesd dialog I selected the "Compatibility" tab
 7. In the compatibility tab I selected Windows 7 compatibility as shown here: https://www.groovypost.com/howto/geek-stuff/run-a-program-in-windows-7-compatibility-mode/
 8. I clicked on the "OK" button
 9. I tried running XWin.exe from the cygwin bash command line, but it exited at the same place as it always have since these problems startted:

sbang@ITEM-S63383:~$ XWin.exe
Welcome to the XWin X Server
Vendor: The Cygwin/X Project
Release: 1.20.5.0
OS: CYGWIN_NT-10.0-18363 ITEM-S63383 3.1.5-340.x86_64 2020-06-01 08:59 UTC x86_64
OS: Windows 7  [Windows NT 6.1 build 7600] (Win64)
Package: version 1.20.5-3 built 2019-09-06

winInitializeScreenDefaults - primary monitor w 1920 h 1080
winInitializeScreenDefaults - native DPI x 120 y 120
XWin was started with the following command line:

XWin

(II) xorg.conf is not supported
(II) See http://x.cygwin.com/docs/faq/cygwin-x-faq.html for more information
LoadPreferences: /cygdrive/d/Profiles/sbang/.XWinrc not found
LoadPreferences: Loading /etc/X11/system.XWinrc
LoadPreferences: Done parsing the configuration file...
winDetectSupportedEngines - RemoteSession: no
winDetectSupportedEngines - DirectDraw4 installed, allowing ShadowDDNL
winDetectSupportedEngines - Returning, supported engines 00000005
sbang@ITEM-S63383:~$

--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple